<!DOCTYPE html>
<head>
    <title>Registration Form</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, intial-scale=1.0">

    <!--Style will contain the CSS code to design how the page looks. -->
    <style>
        body {
            background-color: rgb(106, 182, 158);
        }
        #myForm {
            width: 75%;
            margin: auto;
            border: 3px solid black;
            background-color: white;
        }
        input, select, textarea {
            margin: 8px;
            padding: .5em;
        }
        h1 {
            text-align: center;
            text-decoration: underline;
        }
        .submit {
            text-align: center;
            font-size: larger;
        }
        fieldset {
            border: 2px solid black;
            padding: 8px;
            border-radius: 4px;
        }
        legend {
            font-weight: bold;
            font-size: 1em;
        }
        fieldset label {
            display: inline-block;
            margin-right: 15px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    
    <?php
    // This uses the PHP include function, which includes a specific file. 
    include('header.php');
    ?>
    <!--This will be the beginning of the Registration form. -->
    <h1>Rugby Registration Form</h1>
    <form id="myForm" action="process.php" method="post">
        <p>
            <label for="FirstName">First Name:</label><br>
            <input type="text" id="FirstName" name="FirstName" required><br>

            <label for="LastName">Last Name:</label><br>
            <input type="text" id="LastName" name="LastName" required><br>
        </p>
        <p>
            <label for="Email">Email:</label><br>
            <input type="email" id="Email" name="Email" required><br>

            <label for="Phone">Cell Phone:</label><br>
            <input type="tel" id="Phone" name="Phone" pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" required><br>
        </p>
        <p>
            <fieldset>
                <legend><small>Select your gender:</small></legend>
                <label><input type="radio" name="gender" value="Male" required>Male</label>
                <label><input type="radio" name="gender" value="Female" required>Female</label>
                <label><input type="radio" name="gender" value="Other" required>Other</label>
            </fieldset>
        </p>
        <p>
            <label for="DOB">Date of Birth:</label><br>
            <select name="month" required>
                <option value="">Month</option>

                <?php
                    $months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
                    foreach ($months as $month) {
                        echo "<option value='$month'>$month</option>";
                    }
                ?>
            </select>
            <select name="day" required>
                <option value="">Day</option>

                <?php
                    for ($i = 1; $i <= 31; $i++) {
                        echo "<option value='$i'>$i</option>";
                    }
                ?>
            </select>
            <select name="year" required>
                <option value="">Year</option>

                <?php
                    $currentYear = date("Y");
                    for ($i = $currentYear; $i >= $currentYear - 100; $i--) {
                        echo "<option value='$i'>$i</option>";
                    }
                ?>
            </select>
        </p>
        <p>
            <label>T-shirt Size:</label><br>
            <select name="size" required>
                <option value="">Select Size</option>
                <option value="XS">X-Small</option>
                <option value="S">Small</option>
                <option value="M">Medium</option>
                <option value="L">Large</option>
                <option value="XL">X-Large</option>
                <option value="XXL">XX-Large</option>
            </select>
        </p>
        <p>
            <label>Addtional Comments:</label><br>
            <textarea name="comments" rows="4" cols="30"></textarea>
        </p>
        <div class="submit">
            <button type="submit" class="submit">Register!</button>
        </div>
    </form>

    <?php
        include('footer.php');
    ?>

</body>
</html>